Show Match Stats
curl --request GET \
--url https://padelapi.org/api/matches/{match}/stats \
--header 'Authorization: Bearer <token>'import requests
url = "https://padelapi.org/api/matches/{match}/stats"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://padelapi.org/api/matches/{match}/stats', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": 123,
"self": "<string>",
"match": {
"total_points_won": {
"team_1": "<string>",
"team_2": "<string>"
},
"break_points_converted": {
"team_1": "<string>",
"team_2": "<string>"
},
"longest_streak": {
"team_1": "<string>",
"team_2": "<string>"
},
"aces": {
"team_1": "<string>",
"team_2": "<string>"
},
"double_faults": {
"team_1": "<string>",
"team_2": "<string>"
},
"won_on_1st_serve": {
"team_1": "<string>",
"team_2": "<string>"
},
"won_on_2nd_serve": {
"team_1": "<string>",
"team_2": "<string>"
},
"service_games": {
"team_1": "<string>",
"team_2": "<string>"
},
"won_on_1st_return": {
"team_1": "<string>",
"team_2": "<string>"
},
"won_on_2nd_return": {
"team_1": "<string>",
"team_2": "<string>"
},
"return_games": {
"team_1": "<string>",
"team_2": "<string>"
},
"total_won_on_serve": {
"team_1": "<string>",
"team_2": "<string>"
},
"total_won_on_return": {
"team_1": "<string>",
"team_2": "<string>"
}
},
"set_{n}": {
"total_points_won": {
"team_1": "<string>",
"team_2": "<string>"
},
"break_points_converted": {
"team_1": "<string>",
"team_2": "<string>"
},
"longest_streak": {
"team_1": "<string>",
"team_2": "<string>"
},
"aces": {
"team_1": "<string>",
"team_2": "<string>"
},
"double_faults": {
"team_1": "<string>",
"team_2": "<string>"
},
"won_on_1st_serve": {
"team_1": "<string>",
"team_2": "<string>"
},
"won_on_2nd_serve": {
"team_1": "<string>",
"team_2": "<string>"
},
"service_games": {
"team_1": "<string>",
"team_2": "<string>"
},
"won_on_1st_return": {
"team_1": "<string>",
"team_2": "<string>"
},
"won_on_2nd_return": {
"team_1": "<string>",
"team_2": "<string>"
},
"return_games": {
"team_1": "<string>",
"team_2": "<string>"
},
"total_won_on_serve": {
"team_1": "<string>",
"team_2": "<string>"
},
"total_won_on_return": {
"team_1": "<string>",
"team_2": "<string>"
}
},
"connections": {
"match": "<string>"
}
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>",
"errors": {}
}Match
Show Match Stats
Endpoint to retrieve detailed statistics of a specific match.
🔒 This endpoint requires a Pro subscription.
GET
/
matches
/
{match}
/
stats
Show Match Stats
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The match ID
⌘I